Difference between revisions of "GPRS Data"
Line 8: | Line 8: | ||
+ | === 1. Edit the Configuration File === | ||
Open the file '''/etc/init.d/S41gprs''' by default text editor '''Vi'''. | Open the file '''/etc/init.d/S41gprs''' by default text editor '''Vi'''. | ||
Line 95: | Line 96: | ||
{{Tip|TipText= <br/> | {{Tip|TipText= <br/> | ||
− | + | Text editing - Hit the '''i''' (insert mode).<br/> | |
− | + | Save and Exit - Write charakter ''':wq''' (write and quit). The cursor moves to bottom of screen whenever a colon (:) is typed. This type of command is completed by hitting the '''Enter''' key. }} | |
+ | === 3. Device Reboot === | ||
It is strongly recommended to do a reboot. | It is strongly recommended to do a reboot. | ||
{{NotePre | {{NotePre | ||
Line 105: | Line 107: | ||
+ | === 4. Check the Connection === | ||
After system reboot check if GPRS connection works. | After system reboot check if GPRS connection works. | ||
{{NotePre | {{NotePre |
Revision as of 08:29, 12 June 2019
This page is beign temporarily revised with the newest updates.
Contents
How to Enable GPRS Data on IPLOG-GAMA G2/G3
IPLOG-GAMA G2
The property GPRS data is disabled from the default configuration. However, the system has everything what you need to successfully establish a PPP connection. This allows the IPLOG-GAMA G2 unit access to the mobile Internet.
1. Edit the Configuration File
Open the file /etc/init.d/S41gprs by default text editor Vi.
root@iplog:~# vi /etc/init.d/S41gprs
The file contains two commented lines 45 and 52 (#pon and #poff), delete the comment charakter # before.
#!/bin/sh
#
# Starts the GPRS
#
NAME=gprs
CONN=vodafone
PRODUCT=`metel-eeprom -c read product`
PCB_ASS=`metel-eeprom -c read assembly-pcb`
PRODUCT=${PRODUCT##* }
PCB_ASS=${PCB_ASS##* }
join()
{
# $1 - file
# $2 - wait for $2 seconds
for i in $(seq 1 $2)
do
if [ -e $1 ]
then
# Telit found
return 0
else
# Wait: 1s
sleep 1
fi
done
return 1
}
start()
{
printf "Starting $NAME: "
# For IPLOG_GAMA_G2_10052018 and newer wait for supply power ON and Teli
if [ $PRODUCT == 0x494702 ]; then
if [ ${PCB_ASS%%_*} != 27042017 ] && [ ${PCB_ASS%%_*} != 18092017 ]; t
join "/dev/ttyACM0" 15
# wait 5s for catch GSM signal
sleep 5
fi
fi
pon gprs
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop()
{
printf "Stopping $NAME: "
poff
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
stop
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit $?
#end-of-file
Tip:
Text editing - Hit the i (insert mode).
Save and Exit - Write charakter :wq (write and quit). The cursor moves to bottom of screen whenever a colon (:) is typed. This type of command is completed by hitting the Enter key.
3. Device Reboot
It is strongly recommended to do a reboot.
root@buildroot:~# reboot
4. Check the Connection
After system reboot check if GPRS connection works.
root@buildroot:~# ifconfig ppp0
If the connection was established the output will looks like:
ppp0 Link encap:Point-to-Point Protocol inet addr:100.91.38.191 P-t-P:100.91.38.191 Mask:255.255.255.255 UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1500 Metric:1 RX packets:5 errors:0 dropped:0 overruns:0 frame:0 TX packets:6 errors:0 dropped:0 overruns:0 carrier:0 collisions:0 txqueuelen:3 RX bytes:68 (68.0 B) TX bytes:120 (120.0 B)
If connection does not work:
ifconfig: ppp0: error fetching interface information: Device not found
In this case check:
SIM card is without PIN check.
GSM LED on the front panel flash, shines = it is not registered to GSM network.
Antenna is connected and 2G/3G signal is available on site.
The APN configuration corresponds to the local operator.
SIM card contains a credit and mobile data are enable.